%global qpid_version 0.10

Summary:        MRG management system agent
Name:           sesame
Version:        1.1
Release:        2%{?dist}
License:        GPLv2+
Group:          System Environment/Libraries
URL:            http://svn.fedorahosted.org/svn/cumin/trunk/sesame/cpp/
Source0:        http://fedorahosted.org/releases/c/u/cumin/%{name}-%{version}.tar.gz
Patch0:         bz481770.patch
BuildRequires:  qpid-qmf-devel >= %{qpid_version}
BuildRequires:  db4-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  dbus-devel
BuildRequires:  systemd-units
Requires:       qpid-qmf >= %{qpid_version}
Requires:       /usr/bin/uuidgen
Requires:       dbus

Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

%description
Sesame is the MRG management system agent.  It provides
information on the OS, memory usage, and load on its 
host for use by MRG management components.

%prep
%setup -q
%patch0 -p1

%build
export CXXFLAGS="%{optflags}"

./bootstrap
%configure
make # %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}

#install -T -m 0755 etc/sysvinit-sesame %{buildroot}%{_sysconfdir}/rc.d/init.d/sesame

install -d %{buildroot}%{_unitdir}
install -pm 644 etc/sesame.service %{buildroot}%{_unitdir}


install -d %{buildroot}%{_localstatedir}/log/sesame
install -d %{buildroot}%{_localstatedir}/lib/sesame

%pre
getent group sesame > /dev/null || groupadd -r sesame
getent passwd sesame > /dev/null || useradd -r \
       -g sesame -d %{_localstatedir}/lib/sesame -s /sbin/nologin \
       -c "Owner of the sesame daemon" sesame
exit 0

%post
uuidgen > %{_localstatedir}/lib/sesame/uuid
chown sesame:sesame %{_localstatedir}/lib/sesame/uuid
if [ $1 -eq 1 ] ; then 
    # Initial installation 
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi

%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
    /bin/systemctl --no-reload disable sesame.service > /dev/null 2>&1 || :
    /bin/systemctl stop sesame.service > /dev/null 2>&1 || :
fi

%postun
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart sesame.service >/dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,-)
%doc README COPYING LICENSE
%{_bindir}/sesame
%defattr(-,sesame,sesame,-)
%config(noreplace) %{_sysconfdir}/sesame/sesame.conf
%{_localstatedir}/log/sesame
%{_localstatedir}/lib/sesame
%{_unitdir}/sesame.service

%changelog
* Wed Dec 15 2011 Trevor McKay <tmckay@redhat.com> - 1.1-2
- svn revision 5177
- Change Version tag to 1.1-2
- Added LICENSE file to the tarball
- Added LICENSE to doc section
- Changed Source0 to point to fedorahosted.org
- Remove default enable for sesame service

* Fri Nov 11 2011 Trevor McKay <tmckay@redhat.com> - 1.1-1
- svn revision 5138
- Change Version tag to 1.1-1
- Include sesame.service for use with systemd
- Modify sesame.spec for Fedora

* Thu Nov 3 2011 Trevor McKay <tmckay@redhat.com> - 1.0
- svn revision 5107, branch lucidity
- Change Version tag to 1.0
- BZ750315
* Thu Nov 1 2011 Trevor McKay <tmckay@redhat.com> - 0.10.1
- Add a digit for code changes in version
- Change comparison for qpid-qmf* to >= 0.10
- Change configure.ac to include explicit linker targets
* Wed Mar 23 2011 Justin Ross <jross@redhat.com> - 0.10-1
- Rebuilding for updated qmf libs
- Updated URL
* Wed Feb 23 2011 Nuno Santos <nsantos@redhat.com> - 0.9.4443-1
- Rebased to svn rev 4443
* Thu Feb  3 2011 Nuno Santos <nsantos@redhat.com> - 0.7.4297-6
- Rebuilding for updated qmf libs
* Tue Jan 18 2011 Nuno Santos <nsantos@redhat.com> - 0.7.4297-5
- BZ481770 - sesame's init script allows for starting multiple sesame daemons
* Wed Nov 17 2010 Nuno Santos <nsantos@redhat.com> - 0.7.4297-4
- Rebuilding for updated qmf libs
* Wed Sep 22 2010 Nuno Santos <nsantos@redhat.com> - 0.7.4297-2
- Rebuilding for updated qmf libs
* Thu Sep 16 2010 Nuno Santos <nsantos@redhat.com> - 0.7.4297-1
- Rebased to svn rev 4297
* Thu Sep  2 2010 Nuno Santos <nsantos@redhat.com> - 0.7.3918-7
- BZ621317: Sesame does not shutdown when uninstalled
* Tue Jul 27 2010 Nuno Santos <nsantos@redhat.com> - 0.7.3918-6
- Rebuilding for updated qmf libs
* Fri Jul 16 2010 Mike Cressman <mcressman@redhat.com> - 0.7.3918-5
- Rebuilding with latest beta respin
* Wed Jun 16 2010 Nuno Santos <nsantos@redhat.com> - 0.7.3918-3
- Rebuilding for updated qmf libs
* Thu Apr  1 2010 Justin Ross <jross@redhat.com> - 0.7.3891-1
- Update to revision 3891
- Use a tarball based on svn export rather than make dist
* Tue Feb  4 2010 Justin Ross <jross@redhat.com> - 0.4.3826-2
- Update to revision 3826
* Mon Oct 19 2009 Ted Ross <tross@redhat.com> - 0.4.3153-2
- Update to revision 3153-2 with patch
* Wed Mar 11 2009 Ted Ross <tross@redhat.com> - 0.4.3153-1
- Update to revision 3153
* Wed Mar  4 2009 Ted Ross <tross@redhat.com> - 0.4.3138-1
- Update to revision 3138
* Tue Feb 17 2009 Justin Ross <jross@redhat.com> - 0.4.3120-2
- Update to revision 3120
- Make the qmf dep versioned
* Thu Feb 12 2009 Ted Ross <tross@redhat.com> - 0.4.3108-2
- Update to release 2
* Thu Feb  5 2009 Ted Ross <tross@redhat.com> - 0.4.3108-1
- Update to revision 3108
* Wed Jan 28 2009 Ted Ross <tross@redhat.com> - 0.4.3077-1
- Update to revision 3077
* Thu Jan  8 2009 Ted Ross <tross@redhat.com> - 0.4.3030-2
- Update to release 2
* Fri Dec 19 2008 Ted Ross <tross@redhat.com> - 0.4.3030-1
- Update to revision 3030
* Thu Dec 11 2008 Ted Ross <tross@redhat.com> - 0.1.2968-1
- Update to revision 2968
* Wed Dec 10 2008 Ted Ross <tross@redhat.com> - 0.1.2964-1
- Update to revision 2964
* Fri Dec  5 2008 Ted Ross <tross@redhat.com> - 0.1.2935-1
- Update to revision 2935
* Mon Dec  1 2008 Justin Ross <jross@redhat.com> - 0.1.2899-1
- Update to revision 2899
* Mon Dec  1 2008 Justin Ross <jross@redhat.com> - 0.1.2897-1
- Initial build
